<?php

namespace ACL\Controllers;

use ACL\Traits\TResponse;
use Exception;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use ACL\Services\Filial as FilialService;

class Filial
{

    use TResponse;

    /**
     * @var FilialService
     */
    private $filialService;

    public function __construct(FilialService $filialService)
    {
        $this->filialService = $filialService;
    }

    /**
     * @param Request $request
     * @throws Exception
     */
    public function findFilial(Request $request)
    {
        try{
            $params = $request->getParameters();
            $isFilterNotInFilial = !empty($params['IS_FILTER_NOT_IN_FILIAL']) ? $params['IS_FILTER_NOT_IN_FILIAL'] : null;
            $cdoperador = !empty($params['CDOPERADOR']) ? $params['CDOPERADOR'] : null;
            $data = $this->filialService->findFilial($isFilterNotInFilial, $cdoperador);
            $this->sendResponse($data, 200);
        }catch(Exception $ex){
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }
}
