<?php

namespace ACL\Controllers;

use ACL\Traits\TResponse;
use Exception;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use ACL\Helpers\Instances\InstanceProvider;
use ACL\Util\AclUtilities;
use ACL\Services\Novocodigo as NovocodigoService;

class Novocodigo {

    use TResponse;

    /**
     * @var NovocodigoService
     */
    private $novocodigoService;

    public function __construct(NovocodigoService $novocodigoService)
    {
        $this->novocodigoService = $novocodigoService;
    }

    /**
     * @param Request $request
     * @param Response $response
     * @throws Exception
     */
    public function validateNovocodigo(Request $request, Response $response)
    {
        try {
            $this->novocodigoService->validateNovocodigo();
        } catch (Exception $e) {
            $this->sendResponse(['error' => $e->getMessage(), 'code' => $e->getCode()], 500);
        }
    }
}
