<?php

namespace ACL\Controllers;

use ACL\Traits\TResponse;
use Exception;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use ACL\Helpers\Instances\InstanceProvider;
use ACL\Util\AclUtilities;
use ACL\Services\Tabela as TabelaService;

class Tabela {

    use TResponse;

    /**
     * @var TabelaService
     */
    private $tabelaService;

    public function __construct(TabelaService $tabelaService)
    {
        $this->tabelaService = $tabelaService;
    }

    public function findAllTabela(Request $request, Response $response)
    {
        try {
            $data = $this->tabelaService->findAllTabela();
            $this->sendResponse($data, 200);
        } catch (Exception $e) {
            $this->sendResponse(['error' => $e->getMessage(), 'code' => $e->getCode()], 500);
        }
    }
}
