CREATE OR REPLACE TRIGGER DTULTATU_TABEPRECGER_CASCADE
BEFORE INSERT OR UPDATE OR DELETE
ON TABEPRECGER FOR EACH ROW
BEGIN
   IF INSERTING THEN
      :NEW.DTULTATU := SYSDATE;
      UPDATE TABEVENDGER
         SET DTULTATU = SYSDATE
       WHERE CDTABEPREC = :NEW.CDTABEPREC;
   END IF;

   IF UPDATING THEN
      :NEW.DTULTATU := SYSDATE;
      UPDATE TABEVENDGER
         SET DTULTATU = SYSDATE
       WHERE CDTABEPREC = :OLD.CDTABEPREC;
   END IF;

   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('TABEPRECGER', NULL, 'CDTABEPREC='||:OLD.CDTABEPREC||';', SYSDATE);
   END IF;
END;
/