import { Loader, Singleton } from '@zeedhi/core';
import { PerfilDeAcessoController } from '@/controllers/PerfilDeAcesso/PerfilDeAcessoController';

@Singleton
export class PerfilDeAcessoDetailController {
	public perfilDeAcessoControler: PerfilDeAcessoController;

	get isVisiblePerfilDeAcessoDetail(): boolean {
		return !this.perfilDeAcessoControler.isVisibleGridAndDetail;
	}

	get currentPerfilDeAcessoName() {
		return this.perfilDeAcessoControler.currentPerfilDeAcesso.NMPERFILACESSO ?? '';
	}

	constructor() {
		this.perfilDeAcessoControler = Loader.getInstance('PerfilDeAcessoController');
	}

	public clickBackToPerfilDeAcessoGrid() {
		this.perfilDeAcessoControler.isVisibleGridAndDetail = true;
	}
}
